%define		realname   libxml2
Summary:	libXML library - cross MinGW32 version
Summary(pl.UTF-8):	Biblioteka libXML wersja 2 - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	2.9.9
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	ftp://xmlsoft.org/libxml2/%{realname}-%{version}.tar.gz
# Source0-md5:	c04a5a0a042eaa157e8e8c9eabe76bd6
Patch0:		%{realname}-man_fixes.patch
Patch1:		%{realname}-open.gz.patch
Patch2:		%{realname}-largefile.patch
URL:		http://xmlsoft.org/
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake >= 1.4
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-zlib >= 1.2.4-3
BuildRequires:	crossmingw32-xz
BuildRequires:	libtool >= 2:2.0
BuildRequires:	sed >= 4.0
Requires:	crossmingw32-zlib >= 1.2.4-3
Requires:	crossmingw32-xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,--as-needed -Wl,-z,relro -Wl,-z,combreloc
%define		filterout_c	-f[-a-z0-9=]*

%description
This library allows you to manipulate XML files.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Biblioteka libxml2 umożliwia manipulowanie zawartością plików XML.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static libxml2 library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka libxml2 (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static libxml2 library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka libxml2 (wersja skrośna MinGW32).

%package dll
Summary:	DLL libxml2 library for Windows
Summary(pl.UTF-8):	Biblioteka DLL libxml2 dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-zlib-dll >= 1.2.4-3
Requires:	crossmingw32-xz-dll
Requires:	wine

%description dll
DLL libxml2 library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL libxml2 dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# MinGW32 headers don't define this
CPPFLAGS="%{rpmcppflags} -D_WINSOCKAPI_"
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-silent-rules \
	--without-python

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} $RPM_BUILD_ROOT%{_bindir}/{*.exe,xml2-config}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/xml2Conf.sh
%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/cmake
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{aclocal,doc,gtk-doc,man}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog Copyright NEWS README TODO
%{_libdir}/libxml2.dll.a
%{_libdir}/libxml2.la
%{_includedir}/libxml2
%{_pkgconfigdir}/libxml-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxml2.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libxml2-*.dll
%changelog
* Sun Feb 24 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-libxml2.git;a=log;h=master

* Sun Feb 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 662cf5b
- updated to 2.9.9 (fixes CVE-2018-9251 CVE-2018-14404 CVE-2018-14567)

* Sun Jul 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 73a03eb
- updated to 2.9.8

* Sat Jun 04 2016 Jakub Bogusz <qboosh@pld-linux.org> cae744c
- updated to 2.9.4 (includes security related fixes)

* Mon Nov 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 0c61e88
- release 2

* Mon Nov 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 01436a0
- requires xz

* Sun Nov 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 8de07e4
- updated to 2.9.3 (fixes CVE-2015-1819 CVE-2015-5312 CVE-2015-7497 CVE-2015-7498 CVE-2015-7499 CVE-2015-7500 CVE-2015-7941 CVE-2015-7942 CVE-2015-8035 CVE-2015-8242)

* Wed Oct 22 2014 Jakub Bogusz <qboosh@pld-linux.org> c1abe19
- updated to 2.9.2

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 6a93caa
- do not require pkgconfig deps either

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> a47449f
- updated to 2.9.1

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> fa16681
- do not provide pkgconfig deps in system namespace

* Sat Sep 15 2012 Jakub Bogusz <qboosh@pld-linux.org> bb67111
- added filterout_c

* Sat Sep 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 3fc6963
- updated to 2.9.0

* Thu May 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 2d77eca
- updated to 2.8.0

* Sat Nov 13 2010 Jakub Bogusz <qboosh@pld-linux.org> 4c45262
- updated to 2.7.8

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 254c060
- unified MinGW32 caps

* Sun Mar 21 2010 Jakub Bogusz <qboosh@pld-linux.org> d43adb6
- updated to 2.7.7
- require zlib 1.2.4-3 for LFS support

* Sun Feb 28 2010 Artur Frysiak <artur@frysiak.net> 5d33cd6
- updated to 2.7.6 (based on libxml2.spec)

* Sun Feb 28 2010 Artur Frysiak <artur@frysiak.net> 9bba9f1
- from libxml2

* Tue Sep 02 2008 Jakub Bogusz <qboosh@pld-linux.org> 2a6005a
- obsolete

* Wed Apr 16 2008 Jakub Bogusz <qboosh@pld-linux.org> 983631f
- updated to 2.6.32

